What are the Blackboard technical requirements?

These browsers work best with Blackboard Learn 9.1 Service Pack (SP) 14:

 

  • Firefox 24® and later
  • ChromeTM 30 and later
  • Safari® 6 and later
  • Internet Explorer® 9 and later

 

For up-to-dated operating systems and web browsers supported by Blackboard, please visit http://kb.blackboard.com/x/1IIQAw. You can verify your internet speed free at www.speedtest.net.

Was this article helpful?